Error (Tomcat API Documentation)
Keywords: org.apache.tomcat.jni.Error class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.jni
Class Error

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.tomcat.jni.Error

All Implemented Interfaces:
  java.io.Serializable

    public class Error

extends java.lang.Exception

Error

Version:
  $Revision: 467222 $, $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Mladen Turk
See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getDescription()` Get the APR description of the exception.
`int` | `getError()` Get the APR error code of the exception.
`static int` | `netosError()` Get the last platform socket error.
`static int` | `osError()` Get the last platform error.
`static java.lang.String` | `strerror(int statcode)` Return a human readable string describing the specified error.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getError

    public int getError()

  Get the APR error code of the exception.

  Returns:
    error of the Exception

### getDescription

    public java.lang.String getDescription()

  Get the APR description of the exception.

  Returns:
    description of the Exception

### osError

    public static int osError()

  Get the last platform error.

  Returns:
    apr_status_t the last platform error, folded into apr_status_t, on most platforms This retrieves errno, or calls a GetLastError() style function, and folds it with APR_FROM_OS_ERROR. Some platforms (such as OS2) have no such mechanism, so this call may be unsupported. Do NOT use this call for socket errors from socket, send, recv etc!

### netosError

    public static int netosError()

  Get the last platform socket error.

  Returns:
    the last socket error, folded into apr_status_t, on all platforms This retrieves errno or calls a GetLastSocketError() style function, and folds it with APR_FROM_OS_ERROR.

### strerror

    public static java.lang.String strerror(int statcode)

  Return a human readable string describing the specified error.

  Parameters:
    `statcode` - The error code the get a string for.
  Returns:
    The error string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.